package com.ss.android.ugc.aweme.compliance.api.services.settings;

import X.C34363hc;
import X.C42573ur;
import X.C42633ux;
import android.content.Context;
import android.text.SpannableStringBuilder;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.compliance.api.model.ComplianceSetting;
import com.ss.android.ugc.aweme.compliance.api.model.PolicyBodyLinkList;
import java.util.List;

public interface IComplianceSettingsService {
    static {
        Covode.recordClassIndex(60568);
    }

    C34363hc LIZ();

    SpannableStringBuilder LIZ(Context context, String str, List<PolicyBodyLinkList> list);

    void LIZ(int i);

    void LIZ(C42573ur r1);

    void LIZ(C42633ux r1);

    void LIZ(ComplianceSetting complianceSetting);

    void LIZIZ();

    String LIZJ();

    String LIZLLL();

    List<PolicyBodyLinkList> LJ();
}
